"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CodeChatApi = void 0;
class CodeChatApi {
    constructor() {
        this.name = 'codeChatCredsApi';
        this.displayName = 'CodeChatApi API';
        this.documentationUrl = 'https://github.com/code-chat-br/whatsapp-api';
        this.properties = [
            {
                displayName: 'Instance Name',
                name: 'instanceName',
                type: 'string',
                noDataExpression: false,
                default: '',
                required: true,
                description: 'Name of the created instance.',
            },
            {
                displayName: 'Base URL',
                name: 'baseUrl',
                type: 'string',
                noDataExpression: true,
                required: true,
                default: '',
                placeholder: 'https://api.codechat.rest',
                hint: 'Enter the default url for requests.',
            },
            {
                displayName: 'Authentication type',
                name: 'authType',
                type: 'options',
                required: true,
                noDataExpression: true,
                options: [
                    { name: 'JSON Web Token', value: 'jwt' },
                    { name: 'Api Key', value: 'apikey' },
                ],
                default: 'jwt',
            },
            {
                displayName: 'Authentication - Jwt',
                name: 'authJwt',
                required: true,
                placeholder: 'json web token',
                type: 'string',
                default: '',
                noDataExpression: true,
                typeOptions: { password: true },
                description: 'Suggestion: for this authentication, set EXPIRIN_IN value in env.yml file with zero (0)',
                hint: 'EXPIRIN_IN: 0',
                displayOptions: {
                    show: {
                        authType: ['jwt'],
                    },
                },
            },
            {
                displayName: 'Authentication - ApiKey',
                name: 'apikey',
                required: true,
                placeholder: 'auth-apikey',
                type: 'string',
                default: '',
                noDataExpression: true,
                typeOptions: { password: true },
                displayOptions: {
                    show: {
                        authType: ['apikey'],
                    },
                },
            },
        ];
    }
}
exports.CodeChatApi = CodeChatApi;
//# sourceMappingURL=CodeChatApi.credentials.js.map