"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CodeChatApi = void 0;
const CodeChatApi_fields_1 = require("./CodeChatApi.fields");
const Generic_func_1 = require("./Generic.func");
class CodeChatApi {
    constructor() {
        this.description = {
            displayName: 'CodeChat - WhatsApp Free Api',
            name: 'CodeChatApi',
            icon: 'file:codechatapi.svg',
            group: ['output'],
            version: 1,
            subtitle: '={{$parameter["resource"] + ": " + $parameter["operation"]}}',
            description: 'Rest api for communication with WhatsApp',
            defaults: { name: 'CodeChat Api' },
            credentials: [{ name: 'codeChatCredsApi', required: true }],
            inputs: ['main'],
            outputs: ['main'],
            requestDefaults: {
                baseURL: '={{$credentials.baseUrl}}',
                ignoreHttpStatusErrors: true,
            },
            properties: [
                {
                    displayName: 'Resource',
                    required: true,
                    name: 'resource',
                    type: 'options',
                    noDataExpression: true,
                    options: [{ name: 'Send Message', value: 'sendMessage' }],
                    default: 'sendMessage',
                    routing: {
                        send: { preSend: [Generic_func_1.setAutHeader, Generic_func_1.adjustOptionalFields] },
                        output: { postReceive: [Generic_func_1.sendErrorPostReceive] },
                    },
                },
                ...CodeChatApi_fields_1.messageRessource,
            ],
        };
    }
}
exports.CodeChatApi = CodeChatApi;
//# sourceMappingURL=CodeChatApi.node.js.map