"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mediaMessage = exports.adjustOptionalFields = exports.setAutHeader = exports.sendErrorPostReceive = exports.requestURL = void 0;
function join(...paths) {
    let url = '/';
    paths.forEach((path) => (url += `${path}/`));
    return url;
}
function requestURL(path) {
    return join('message', path, '{{$credentials.instanceName}}');
}
exports.requestURL = requestURL;
async function sendErrorPostReceive(data, response) {
    const body = response === null || response === void 0 ? void 0 : response.body;
    if (!(body === null || body === void 0 ? void 0 : body.error)) {
        return data;
    }
    const node = this.getNode();
    const creds = (await this.getCredentials('codeChatCredsApi'));
    const key = creds.authType === 'jwt' ? 'authJwt' : 'apikey';
    creds[key] = creds.authType === 'jwt' ? 'Bearer ' + creds.authJwt : creds.apikey;
    Object.assign(node.credentials, { creds });
    throw {
        httpCode: body.status,
        context: body.error,
        cause: { error: body.error, message: body.message },
        node,
        workflow: this.getWorkflow(),
        message: `${body.error} - statusCode ${body.status}`,
        description: 'Check the type of properties and values entered',
    };
}
exports.sendErrorPostReceive = sendErrorPostReceive;
async function setAutHeader(requestOpyions) {
    const creds = (await this.getCredentials('codeChatCredsApi'));
    const header = creds.authType === 'jwt' ? 'Authorization' : 'apikey';
    const value = creds.authType === 'jwt' ? 'Bearer ' + creds.authJwt : creds.apikey;
    Object.assign(requestOpyions.headers, { [header]: value });
    return requestOpyions;
}
exports.setAutHeader = setAutHeader;
async function adjustOptionalFields(requestOpyions) {
    const body = requestOpyions.body;
    if (body.options.presence === false) {
        delete body.options.presence;
        requestOpyions.body = body;
    }
    return requestOpyions;
}
exports.adjustOptionalFields = adjustOptionalFields;
async function mediaMessage(requestOpyions) {
    var _a;
    const params = this.getNode().parameters;
    const creds = (await this.getCredentials('codeChatCredsApi'));
    if ((params === null || params === void 0 ? void 0 : params.mediaType) === 'waAudio') {
        requestOpyions.url = `/message/sendWhatsAppAudio/${creds.instanceName}`;
        const body = { ...requestOpyions.body };
        requestOpyions.body = {
            number: body.number,
            audioMessage: {
                audio: (_a = body.mediaMessage) === null || _a === void 0 ? void 0 : _a.media,
            },
            options: body.options,
        };
    }
    return requestOpyions;
}
exports.mediaMessage = mediaMessage;
//# sourceMappingURL=Generic.func.js.map